## com.baidubce.services.bmr.model
Class AddStepsRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.bmr.model.AddStepsRequest

    public class AddStepsRequest

extends AbstractBceRequest

Provide options for adding steps to the target cluster. The essential option is the ID of cluster, and the List of steps can be constructed by calling the methods of StepConfig.

Constructor Summary
`AddStepsRequest()`

Method Summary
`String` `getClientToken()`
`String` `getClusterId()`
`List<StepConfig>` `getSteps()`
`void` `setClientToken(String clientToken)`
`void` `setClusterId(String clusterId)`
`void` `setSteps(List<StepConfig> steps)`
`AddStepsRequest` `withClientToken(String clientToken)` Configure optional client token for the request.
`AddStepsRequest` `withClusterId(String clusterId)` Configure the ID of the cluster.
`AddStepsRequest` `withRequestCredentials(BceCredentials credentials)` Configure request credential for the request.
`AddStepsRequest` `withStep(StepConfig step)` Configure the step to be added.
`AddStepsRequest` `withSteps(List<StepConfig> steps)` Configure the steps to be added.

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddStepsRequest

    public AddStepsRequest()

Method Detail

### getClusterId

    public String getClusterId()

### setClusterId

    public void setClusterId(String clusterId)

### getClientToken

    public String getClientToken()

### setClientToken

    public void setClientToken(String clientToken)

### getSteps

    public List<StepConfig> getSteps()

### setSteps

    public void setSteps(List<StepConfig> steps)

### withClusterId

    public AddStepsRequest withClusterId(String clusterId)

  Configure the ID of the cluster.

  Parameters:
    `clusterId` - The ID of the cluster.
  Returns:
    AddStepsRequest

### withStep

    public AddStepsRequest withStep(StepConfig step)

  Configure the step to be added.

  Parameters:
    `step` - a StepConfig object to be added.
  Returns:
    AddStepsRequest

### withSteps

    public AddStepsRequest withSteps(List<StepConfig> steps)

  Configure the steps to be added. This method will replace the AddStepsRequest instance's steps by the @param steps totally, thus it should be invoked ahead of withStep method if both of them are used for the same AddStepsRequest instance.

  Parameters:
    `steps` - a List of StepConfig instances to be added.
  Returns:
    AddStepsRequest

### withClientToken

    public AddStepsRequest withClientToken(String clientToken)

  Configure optional client token for the request. The request will be idempotent if client token is provided.

  Parameters:
    `clientToken` - An ASCII string whose length is less than 64.
  Returns:
    AddStepsRequest

### withRequestCredentials

    public AddStepsRequest withRequestCredentials(BceCredentials credentials)

  Configure request credential for the request.

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`
  Parameters:
    `credentials` - a valid instance of BceCredentials.
  Returns:
    AddStepsRequest

Copyright © 2016. All rights reserved.